





#include "xdmaterial.h"

XDmaterial_t::XDmaterial_t()
    : XAsset() {
}

void XDmaterial_t::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        char material[64];
        aStream->read(material, 64);
        mMaterial = QString::fromUtf8(material);

        aStream->read((char*)&mSurfaceFlags, sizeof(int));
        aStream->read((char*)&mContentFlags, sizeof(int));
    }
}

const QString& XDmaterial_t::GetMaterial() const {
    return mMaterial;
}

void XDmaterial_t::SetMaterial(const QString& material) {
    mMaterial = material;
}

int XDmaterial_t::GetSurfaceFlags() const {
    return mSurfaceFlags;
}

void XDmaterial_t::SetSurfaceFlags(int flags) {
    mSurfaceFlags = flags;
}

int XDmaterial_t::GetContentFlags() const {
    return mContentFlags;
}

void XDmaterial_t::SetContentFlags(int flags) {
    mContentFlags = flags;
}




